function Wday(day,name,host_name){
    switch (name){
        case "cpu":
            cpu(day,host_name);
            break;
        case "ram":
            ram(day,host_name);
            break;
        case "disk":
            disk(day,host_name);
            break;
        case "network":
            network(day,host_name);
            break;
    }
}


function kvm_monitoring_view(serviceID){
	
	//$.get('/process?c=kvm_monitor_view&id='+virtuals_id+'&day='+day,function(rdata2){	
	$.get('/clientarea.php?action=productdetails&id='+serviceID+'&modop=custom&a=kvm_monitor_view',function(rdata2){	
		var rmsg = rdata2.split('|');
		if (rmsg[0] == "-1"){
			rdata2 = "[]";
		}
		//#CPU部分
		var rdata = $.parseJSON(rdata2)
		
		var myChartCpu = echarts.init(document.getElementById('container'));
		//CPU
		var xData_Cpu = [];
        var yData_Cpu = [];
		//内存
		var xData_Ram = [];
        var yData_Ram = [];
        var zData_Ram = [];
		//磁盘
		var xData_Disk = [];
        var yData_Disk = [];
        var zData_Disk = [];
		var yData_Disk2 = [];
        var zData_Disk2 = [];
		//网络
		var xData_Network = [];
        var yData_Network = [];
        var zData_Network = [];
		
		for(var i = 0; i < rdata.length; i++){
            xData_Cpu.push(formatDateTime(rdata[i].time));
            yData_Cpu.push(rdata[i].cpu);
			
			xData_Ram.push(formatDateTime(rdata[i].time));
            yData_Ram.push(parseInt(rdata[i].memory.split(',')[0] / 1024)); //已使用内存
            zData_Ram.push(parseInt(rdata[i].memory.split(',')[1] / 1024)); //总内存
			
			xData_Disk.push(formatDateTime(rdata[i].time));
            yData_Disk.push(parseInt(rdata[i].disk.split(',')[0] / 1024)); //读取字节
            zData_Disk.push(parseInt(rdata[i].disk.split(',')[1] / 1024));//写入字节
			yData_Disk2.push(parseInt(rdata[i].disk.split(',')[2] / 1024)); //读取字节
            zData_Disk2.push(parseInt(rdata[i].disk.split(',')[3] / 1024));//写入字节
			
			xData_Network.push(formatDateTime(rdata[i].time));
            yData_Network.push(rdata[i].network.split(',')[0]); //上行
            zData_Network.push(rdata[i].network.split(',')[1]); //下行
			/*
			var ex = /^\d+$/;
			if (!ex.test(str)) {
				
			}
			*/
        }
		option = {
            tooltip: {
                trigger: 'axis',
                formatter: '{b}<br />{a}: {c}%'
            },
            grid: {
				//left: "8%",
                //right: "5%"
                 x:40,
                 y:50,
                 x2:0,
                 y2:30
            },
            xAxis: {
                type: 'category',
                boundaryGap: false,
                data: xData_Cpu,
                axisLine:{
                    lineStyle:{
                        color:"#666"
                    }
                }
            },
            yAxis: {
                type: 'value',
                name: '百分比',
                boundaryGap: [0, '100%'],
                min:0,
                max: 100,
                splitLine:{
                    lineStyle:{
                        color:"#ddd"
                    }
                },
                axisLine:{
                    lineStyle:{
                        color:"#666"
                    }
                }
            },
            series: [
                {
                    name:'CPU',
                    type:'line',
                    smooth:true,
                    symbol: 'none',
                    sampling: 'average',
                    itemStyle: {
                        normal: {
                            color: 'rgb(0,191,255)'
                        }
                    },
                    data: yData_Cpu
                }
            ]
        };
        myChartCpu.setOption(option);
        window.addEventListener("resize",function(){
            myChartCpu.resize();
        });
		
		
		
		//内存
		var myChartMen = echarts.init(document.getElementById('container2'));
		  option = {
            tooltip : {
                trigger: 'axis'
            },
			legend: {
                data:['总内存','使用内存']
            },
            grid: {
                x:40,
                y:50,
                x2:0,
                y2:30
            },
           // calculable : true,
            xAxis : [
                {
                    type : 'category',
                    data : xData_Ram,
					boundaryGap: false,
					axisLine:{
                    lineStyle:{
                        color:"#666"
						}
					}
                }
            ],
            yAxis : [
                {
                    type : 'value',
                    name: '单位MB',
                }
            ],
            series : [
                {
                    name:'使用',
                    type:'line',
					 smooth:true,
                    symbol: 'none',
                    sampling: 'average',
                    itemStyle: {
                        normal: {
                            color: 'rgb(240,128,128)'
                        }
                    },
					data:yData_Ram

                },
                {
                    name:'总',
                    type:'line',
					smooth:true,
                    symbol: 'none',
                    sampling: 'average',
                    itemStyle: {
                        normal: {
                            color: 'rgb(0,191,255)'
                        }
                    },
					data:zData_Ram
                }
            ]
        };

        myChartMen.setOption(option);
        window.addEventListener("resize",function(){
            myChartMen.resize();
        });
		
		
		//磁盘
		
		var myChartdisk = echarts.init(document.getElementById('container3'));
		option = {
            tooltip: {
                trigger: 'axis'
            },
            legend: {
                data:['读(S)','写(S)','读(D)','写(D)']
            },
            grid: {
                 x:40,
                 y:50,
                 x2:0,
                 y2:30
            },
			//calculable: true,
            xAxis: {
                type: 'category',
                boundaryGap: false,
                data: xData_Disk,
                axisLine:{
					//show: false,
                    lineStyle:{
                        color:"#666"
                    }
                }
            },
            yAxis: {
                type: 'value',
                name: '单位MB',
                boundaryGap: [0, '100%'],
                splitLine:{
					//show: false,
                    lineStyle:{
                        color:"#ddd"
                    }
                },
                axisLine:{
                    lineStyle:{
                        color:"#666"
                    }
                }
            },
            series: [
                {
                    name:'读(S)',
                    type:'line',
                    smooth:true,
                    symbol: 'none',
                    sampling: 'average',
                    itemStyle: {
                        normal: {
                            color: 'rgb(240,128,128)'
                        }
                    },
                    data: yData_Disk
                },
                {
                    name:'写(S)',
                    type:'line',
                    smooth:true,
                    symbol: 'none',
                    sampling: 'average',
                    itemStyle: {
                        normal: {
                            color: 'rgb(0,191,255)'
                        }
                    },
                    data: zData_Disk
                },
				{
                    name:'读(D)',
                    type:'line',
                    smooth:true,
                    symbol: 'none',
                    sampling: 'average',
                    itemStyle: {
                        normal: {
                            color: 'rgb(255,69,0)'
                        }
                    },
                    data: yData_Disk2
                },
                {
                    name:'写(D)',
                    type:'line',
                    smooth:true,
                    symbol: 'none',
                    sampling: 'average',
                    itemStyle: {
                        normal: {
                            color: 'rgb(175,238,238)'
                        }
                    },
                    data: zData_Disk2
                },
				
            ]
        };
        myChartdisk.setOption(option);
        window.addEventListener("resize",function(){
            myChartdisk.resize();
        });

		
		
		//网络
		var myChartNetwork = echarts.init(document.getElementById('container4'));
		 option = {
            tooltip: {
                trigger: 'axis'
            },
            legend: {
                data:['上行','下行']
            },
            grid: {
                 x:40,
                 y:50,
                 x2:0,
                 y2:30
            },
            xAxis: {
                type: 'category',
                boundaryGap: false,
                data: xData_Network,
                axisLine:{
                    lineStyle:{
                        color:"#666"
                    }
                }
            },
            yAxis: {
                type: 'value',
                name: '带宽KB/s',
                boundaryGap: [0, '100%'],
                splitLine:{
                    lineStyle:{
                        color:"#ddd"
                    }
                },
                axisLine:{
                    lineStyle:{
                        color:"#666"
                    }
                }
            },
            series: [
                {
                    name:'上行',
                    type:'line',
                    smooth:true,
                    symbol: 'none',
                    sampling: 'average',
                    itemStyle: {
                        normal: {
                            color: 'rgb(240,128,128)'
                        }
                    },
                    data: yData_Network
                },
                {
                    name:'下行',
                    type:'line',
                    smooth:true,
                    symbol: 'none',
                    sampling: 'average',
                    itemStyle: {
                        normal: {
                            color: 'rgb(0,191,255)'
                        }
                    },
                    data: zData_Network
                }
            ]
        };
        myChartNetwork.setOption(option);
        window.addEventListener("resize",function(){
            myChartNetwork.resize();
        });
		
		
	}) //GET结束
}






//时间戳转时间模式
function formatDateTime(timeStamp) { 
		var date = new Date();
		date.setTime(timeStamp * 1000);
		var y = date.getFullYear();    
		var m = date.getMonth() + 1;    
		m = m < 10 ? ('0' + m) : m;    
		var d = date.getDate();    
		d = d < 10 ? ('0' + d) : d;    
		var h = date.getHours();  
		h = h < 10 ? ('0' + h) : h;  
		var minute = date.getMinutes();  
		var second = date.getSeconds();  
		minute = minute < 10 ? ('0' + minute) : minute;    
		second = second < 10 ? ('0' + second) : second;   
		return y + '-' + m + '-' + d+' '+h+':'+minute+':'+second;    
}

